import numpy as np

def read_dataset(folder):
    X = np.load(folder + "/X_data.npy")
    Y0 = np.load(folder + "/Y_data0.npy")
    Y1 = np.load(folder + "/Y_data1.npy")
    return X, Y0, Y1

def save_dataset(folder, X, Y0, Y1):
    np.save(folder + "/X_data", X)
    np.save(folder + "/Y_data0", Y0)
    np.save(folder + "/Y_data1", Y1)
